package com.artfess.uc.controller;


import com.artfess.uc.manager.BizUserExtendManager;
import com.artfess.uc.model.BizUserExtend;
import com.artfess.base.annotation.ApiGroup;
import com.artfess.base.constants.ApiGroupConsts;
import com.artfess.base.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 用户信息扩展表 前端控制器
 *
 * @author 系统管理员
 * @company 阿特菲斯信息技术有限公司
 * @since 2024-09-13
 */
@RestController
@RequestMapping("/bizUserExtend/v1/")
@ApiGroup(group = {ApiGroupConsts.GROUP_BIZ_ZSJ})
@Api(tags = "个人中心-用户信息扩展")
public class BizUserExtendController extends BaseController<BizUserExtendManager, BizUserExtend> {


    @GetMapping("/isExist")
    @ApiOperation(notes = "判断用户是否已填写个人信息",value = "判断用户是否已填写个人信息")
    public Boolean getUserExtendIsExist() {
        // return baseService.getUserExtendIsExist();
        // 默认已填写，需要限制用户填写信息就开起上面的注释
        return true;
    }

}
